"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cookie = require("cookie");
class CookieResolver {
    constructor(cookieNames = ['lang']) {
        this.cookieNames = cookieNames;
    }
    resolve(req) {
        if (!req.cookies && req.headers.cookie) {
            req.cookies = cookie.parse(req.headers.cookie);
        }
        if (req.cookies) {
            for (const i in this.cookieNames) {
                if (req.cookies[this.cookieNames[i]]) {
                    return req.cookies[this.cookieNames[i]];
                }
            }
        }
        return undefined;
    }
}
exports.CookieResolver = CookieResolver;
